<template>
  <view class="">
    <view @tap.stop="toDetailFn(v)" class="list" v-for="(v, i) in dataList" :key="i">
      <view class="list_content">
        <view class="font_style">
          <view class="font_style_left"> 所属公司： </view>
          <view class="font_style_right">
            {{ v.belongCompanyName }}
          </view>
        </view>
        <view class="font_style">
          <view class="font_style_left"> 文件名称： </view>
          <view class="font_style_right">
            {{ v.name }}
          </view>
        </view>
        <view class="font_style">
          <view class="font_style_left"> 签署时间： </view>
          <view class="font_style_right">
            {{ v.createTime }}
          </view>
        </view>
      </view>
    </view>
  </view>
</template>

<script>
import { mapState } from 'vuex'
export default {
  data() {
    return {
      dataList: []
    }
  },
  async onPullDownRefresh() {
    await this.getData()
    uni.stopPullDownRefresh()
  },
  async onReachBottom() {
    await this.getData()
  },
  computed: {
    ...mapState(['userInfo', 'isLogin', 'userId'])
  },
  mounted() {
    this.getData()
  },
  methods: {
    //跳转页面
    toDetailFn(data) {
      uni.previewImage({
        urls: [data.url] //预览图片 数组
      })
    },
    //获取数据
    async getData() {
      this.$api.post('/worker/sign/confirm', {}).then(res => {
        this.dataList = res.data
      })
    }
  }
}
</script>

<style scoped lang="scss">
.page {
  padding: 0 34rpx;
}
.list {
  margin: 0 32rpx;
  font-size: 28rpx;

  .list_content {
    background-color: #fff;
    padding: 20rpx;
    border-radius: 20rpx;
    margin-top: 30rpx;
  }
}

.font_style {
  display: flex;
  color: #101010;
  line-height: 45rpx;

  .font_style_right {
    flex: 1;
  }

  .font_style_left {
    width: 145rpx;
  }

  .status {
    color: #00be8d;
  }
}

.font {
  display: block;
  color: #909090;
  padding: 20rpx 0;
}
</style>
